%define major     1
%define libname   %mklibname kate %{major}
%define develname %mklibname kate -d

%bcond_without katedj

Summary:        Karaoke and text codec for embedding in ogg
Name:           libkate
Version:        0.4.3
Release:        %mkrel 2
License:        BSD
Group:          System/Libraries
Url:            https://gitlab.xiph.org/xiph/kate
Source0:        https://downloads.xiph.org/releases/kate/%{name}-%{version}.tar.gz
Patch4:         libkate-KateDJ-man.patch

BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  liboggz-tools
BuildRequires:  bison
BuildRequires:  byacc
BuildRequires:  flex
BuildRequires:  doxygen
%if %{with katedj}
BuildRequires:  python3-wxpython4
%endif

%description
Kate is an overlay codec, originally designed for karaoke and text,
that can be multiplexed in Ogg. Text and images can be carried by a
Kate stream, and animated. Most of the time, this would be multiplexed
with audio/video to carry subtitles, song lyrics (with or without
karaoke data), etc, but doesn't have to be.

Series of curves (splines, segments, etc) may be attached to various
properties (text position, font size, etc) to create animated
overlays. This allows scrolling or fading text to be defined. This can
even be used to draw arbitrary shapes, so hand drawing can also be
represented by a Kate stream.

%package -n %{libname}
Summary:        Karaoke and text codec for embedding in ogg
Group:          System/Libraries

%description -n %{libname}
Kate is an overlay codec, originally designed for karaoke and text,
that can be multiplexed in Ogg. Text and images can be carried by a
Kate stream, and animated. Most of the time, this would be multiplexed
with audio/video to carry subtitles, song lyrics (with or without
karaoke data), etc, but doesn't have to be.

Series of curves (splines, segments, etc) may be attached to various
properties (text position, font size, etc) to create animated
overlays. This allows scrolling or fading text to be defined. This can
even be used to draw arbitrary shapes, so hand drawing can also be
represented by a Kate stream.

%package -n %{develname}
Summary:        Karaoke and text codec for embedding in ogg
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}kate-static-devel < 0.4.1-14

%description -n %{develname}
Kate is an overlay codec, originally designed for karaoke and text,
that can be multiplexed in Ogg. Text and images can be carried by a
Kate stream, and animated. Most of the time, this would be multiplexed
with audio/video to carry subtitles, song lyrics (with or without
karaoke data), etc, but doesn't have to be.

Series of curves (splines, segments, etc) may be attached to various
properties (text position, font size, etc) to create animated
overlays. This allows scrolling or fading text to be defined. This can
even be used to draw arbitrary shapes, so hand drawing can also be
represented by a Kate stream.

%package tools
Summary:        Karaoke and text codec for embedding in ogg
Group:          Video/Utilities
Requires:       %{libname} = %{version}-%{release}

%if ! %{with katedj}
Obsoletes:      katedj < %{version}-%{release}
%endif

%description tools
Kate is an overlay codec, originally designed for karaoke and text,
that can be multiplexed in Ogg. Text and images can be carried by a
Kate stream, and animated. Most of the time, this would be multiplexed
with audio/video to carry subtitles, song lyrics (with or without
karaoke data), etc, but doesn't have to be.

Series of curves (splines, segments, etc) may be attached to various
properties (text position, font size, etc) to create animated
overlays. This allows scrolling or fading text to be defined. This can
even be used to draw arbitrary shapes, so hand drawing can also be
represented by a Kate stream.

%if %{with katedj}
%package -n katedj
Summary:        Editor and remixer for Kate streams in Ogg
Group:          Video/Utilities
BuildArch:      noarch
Requires:       liboggz-tools
Requires:       python3-wxpython4

%description -n katedj
KateDJ allows extracting Kate tracks embedded in an Ogg stream, editing
them, and rebuilding the Ogg stream after the Kate tracks are modified.
%endif

%prep
%autosetup -p1

# make autoreconf happy
sed -i -e 's,LIBTOOLFLAGS,AM_LIBTOOLFLAGS,g' Makefile.am */Makefile.am
sed -i -e 's,-Werror,-Wno-error,' configure.ac
sed -i -e 's,AC_PROG_LIBTOOL,AM_PROG_AR\nAC_PROG_LIBTOOL,' configure.ac

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

mkdir -p installed-docs
mv %{buildroot}%{_datadir}/doc/%{name}/html installed-docs
rm -rf %{buildroot}%{_datadir}/doc

%check
%__make check

%files tools
%{_bindir}/katalyzer
%{_bindir}/katedec
%{_bindir}/kateenc
%{_mandir}/man1/katalyzer.1*
%{_mandir}/man1/katedec.1*
%{_mandir}/man1/kateenc.1*

%files -n %{libname}
%doc README THANKS AUTHORS
%{_libdir}/libkate.so.%{major}{,.*}
%{_libdir}/liboggkate.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog installed-docs/*
%{_includedir}/kate/
%{_libdir}/libkate.so
%{_libdir}/liboggkate.so
%{_libdir}/pkgconfig/kate.pc
%{_libdir}/pkgconfig/oggkate.pc

%if %{with katedj}
%files -n katedj
%{_bindir}/KateDJ
%{python3_sitelib}/kdj/
%{_mandir}/man1/KateDJ.1.*
%endif


%changelog
* Wed Mar 26 2025 daviddavid <daviddavid> 0.4.3-2.mga10
+ Revision: 2169977
- enable katedj support

* Tue Mar 25 2025 daviddavid <daviddavid> 0.4.3-1.mga10
+ Revision: 2169790
- new version: 0.4.3

* Fri Mar 18 2022 umeabot <umeabot> 0.4.1-17.mga9
+ Revision: 1798511
- Mageia 9 Mass Rebuild

* Tue Aug 04 2020 joequant <joequant> 0.4.1-16.mga8
+ Revision: 1611014
- revert arm

* Tue Feb 18 2020 umeabot <umeabot> 0.4.1-15.mga8
+ Revision: 1541561
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 29 2019 wally <wally> 0.4.1-14.mga8
+ Revision: 1474710
- drop python2 only python-kdj
- add patches from upstream
- drop .la files
- drop static devel pkg

* Sun Sep 23 2018 umeabot <umeabot> 0.4.1-13.mga7
+ Revision: 1298936
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 0.4.1-12.mga7
+ Revision: 1234014
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Fri Mar 11 2016 blino <blino> 0.4.1-11.mga6
+ Revision: 988888
- rebuild for ARM

* Fri Feb 05 2016 umeabot <umeabot> 0.4.1-10.mga6
+ Revision: 937452
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.4.1-9.mga6
+ Revision: 937005
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-8.mga5
+ Revision: 741878
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.1-7.mga5
+ Revision: 726724
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-6.mga5
+ Revision: 681549
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.4.1-5.mga5
+ Revision: 628298
- Rebuild for new Python

* Sat Oct 19 2013 umeabot <umeabot> 0.4.1-4.mga4
+ Revision: 526007
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.4.1-3.mga4
+ Revision: 435501
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 0.4.1-2.mga3
+ Revision: 357553
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 luigiwalser <luigiwalser> 0.4.1-1.mga3
+ Revision: 342956
- 0.4.1
- add make check

* Fri Nov 30 2012 ovitters <ovitters> 0.3.8-4.mga3
+ Revision: 323400
- clean spec
- fix rpm group

* Sun Sep 11 2011 fwang <fwang> 0.3.8-3.mga2
+ Revision: 142380
- rebuild for new mapnik

* Tue Jan 25 2011 ahmad <ahmad> 0.3.8-2.mga1
+ Revision: 39480
- imported package libkate


* Sun Nov 21 2010 Funda Wang <fwang@mandriva.org> 0.3.8-2mdv2011.0
+ Revision: 599410
- rebuild for py2.7

* Wed Aug 11 2010 Götz Waschk <waschk@mandriva.org> 0.3.8-1mdv2011.0
+ Revision: 568928
- update to new version 0.3.8

* Wed Dec 23 2009 Götz Waschk <waschk@mandriva.org> 0.3.7-1mdv2010.1
+ Revision: 481658
- import libkate


